<div class="employee">

  <div class="container">

    <h1 class="mat-h1">Pracownik {{employee?.data?.firstName}} {{employee?.data?.lastName}}</h1>
    <mat-divider class="mb-2"></mat-divider>

    <mat-card class="employee-data mb-3">
      <div fxLayout="row" fxLayout.xs="column" class="employee-data-container">
        <div fxFlex class="employee-data">
          <h2 class="mat-h2">Dane pracownika:</h2>
          <div><span class="employee-data__field bold"> Email: </span>{{employee?.email}}</div>
          <div><span class="employee-data__field bold"> Imię: </span>{{employee?.data?.firstName}}</div>
          <div><span class="employee-data__field bold"> Nazwisko: </span>{{employee?.data?.lastName}}</div>
          <div><span class="employee-data__field bold"> Płeć: </span>{{employee?.data?.gender}}</div>
          <div><span class="employee-data__field bold"> Data urodzenia: </span>{{employee?.data?.birthDate | date: 'dd/MM/yyyy'}}</div>
          <div><span class="employee-data__field bold"> Numer telefonu: </span>{{employee?.data?.phoneNumber}}</div>
        </div>

        <div fxFlex class="employee-data mb-3">
          <h2 class="mat-h2">Adres zamieszkania:</h2>
          <div><span class="employee-data__field bold"> Ulica: </span>{{employee?.data?.street}}</div>
          <div><span class="employee-data__field bold"> Numer domu: </span>{{employee?.data?.houseNo}}</div>
          <div><span class="employee-data__field bold"> Numer mieszkania: </span>{{employee?.data?.flatNo}}</div>
          <div><span class="employee-data__field bold"> Miasto: </span>{{employee?.data?.city}}</div>
          <div><span class="employee-data__field bold"> Kod pocztowy: </span>{{employee?.data?.zipCode}}</div>
          <div><span class="employee-data__field bold"> Województwo: </span>{{employee?.data?.province}}</div>
        </div>

        <div fxFlex class="employee-data  mb-3">
          <h2 class="mat-h2">Dane zatrudnienia:</h2>
          <div><span class="employee-data__field bold"> Stanowisko: </span>{{employee?.position?.name}}</div>
          <div><span class="employee-data__field bold"> Dział: </span>{{employee?.department?.name}}</div>
          <div><span class="employee-data__field bold"> Data zatrudnienia: </span>{{employee?.hireDate | date: 'dd/MM/yyyy'}}</div>
          <div><span class="employee-data__field bold"> Umowa do: </span>test</div>
        </div>
      </div>
    </mat-card>

    <mat-card class="employee-data mb-3">
      <div fxLayout="column" fxLayout.xs="column" class="employee-data-container">
        <div fxFlex class="employee-data mb-3">
          <h2 class="mat-h2">Raporty pracownika:</h2>
          <mat-list>
            <div *ngIf="(employeeWorkTimeReports$ | async) as employeeWorkTimeReports; else loading">
              <ng-container *ngIf="employeeWorkTimeReports.length; else noReports">
                <mat-list-item *ngFor="let employeeWorkTimeReport of employeeWorkTimeReports">
                  <mat-icon mat-list-icon>assignment</mat-icon>
                  <p mat-line>Wiadomość: {{employeeWorkTimeReport?.message}}</p>
                  <p mat-line>Ilość godzin: {{employeeWorkTimeReport?.time}}</p>
                  <p mat-line>Projekt: {{employeeWorkTimeReport?.project?.name}}</p>
                  <p mat-line>Raport za dzień: {{employeeWorkTimeReport?.reportForDate | date}} </p>
                  <p mat-line>Utworzony dnia: {{employeeWorkTimeReport?.createdAt | date: 'M/d/yy, h:mm a'}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noReports>{{employee?.data?.firstName}} {{employee?.data?.lastName}} nie złożył jeszcze
                żadnych raportów.
              </ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
          <mat-divider></mat-divider>
        </div>

        <div fxFlex class="employee-data mb-3">
          <h2 class="mat-h2">Wnioski pracownika:</h2>
          <mat-list>
            <div *ngIf="(employeeApplications$ | async) as employeeApplications; else loading">
              <ng-container *ngIf="employeeApplications.length; else noApplications">
                <mat-list-item *ngFor="let employeeApplication of employeeApplications">
                  <mat-icon mat-list-icon>assignment</mat-icon>
                  <p mat-line>Tytuł: {{employeeApplication?.title}}</p>
                  <p mat-line>Treść {{employeeApplication?.text}}</p>
                  <p mat-line>Kwota: {{employeeApplication?.amount}}</p>
                  <p mat-line>Status: {{employeeApplication?.status}} </p>
                  <p mat-line>Utworzony dnia: {{employeeApplication?.createdAt | date: 'M/d/yy, h:mm a'}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noApplications>{{employee?.data?.firstName}} {{employee?.data?.lastName}} nie złożył jeszcze
                żadnych wniosków.
              </ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
          <mat-divider></mat-divider>
        </div>

        <div fxFlex class="employee-data mb-3">
          <h2 class="mat-h2">Wydarzenia pracownika:</h2>
          <mat-list>
            <div *ngIf="(employeeEvents$ | async) as employeeEvents; else loading">
              <ng-container *ngIf="employeeEvents.length; else noEvents">
                <mat-list-item *ngFor="let employeeEvent of employeeEvents">
                  <mat-icon mat-list-icon>event_busy</mat-icon>
                  <p mat-line>Nazwa: {{employeeEvent?.name}}</p>
                  <p mat-line>Data rozpoczęcia {{employeeEvent?.startDate | date: 'M/d/yyyy'}}</p>
                  <p mat-line>Data zakończenia: {{employeeEvent?.endDate | date: 'M/d/yyyy'}}</p>
                  <p mat-line>Miejsce: {{employeeEvent?.place}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noEvents>{{employee?.data?.firstName}} {{employee?.data?.lastName}} nie brał jeszcze udziału
                w
                żadnym wydarzeniu.
              </ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
        </div>
      </div>
    </mat-card>
  </div>
</div>


